%define		status		stable
%define		pearname	pman
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - PHP Unix manual pages
Name:		php-phpdocs-pman
Version:	2012.01.14
Release:	2
License:	Creative Commons Attribution 3.0
Group:		Development/Languages/PHP
Source0:	http://doc.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	7d602d7ec6d3a7cced70fe68954c314a
URL:		http://doc.php.net/package/pman/
BuildRequires:	php-channel(doc.php.net)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	man-db
Requires:	php(zlib)
Requires:	php-channel(doc.php.net)
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_phpdocdir	%{_docdir}/phpdoc

%description
Unix manual pages of the PHP documentations from php.net.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup -d doc_dir=%{_phpdocdir}

cat <<'EOF' >.%{_bindir}/pman
#!/bin/sh
exec %{_bindir}/man -M %{_phpdocdir}/pman "$@"
EOF

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_bindir},%{_phpdocdir}}
cp -a ./%{php_pear_dir}/.registry $RPM_BUILD_ROOT%{php_pear_dir}

cp -a ./%{_phpdocdir}/pman  $RPM_BUILD_ROOT%{_phpdocdir}

install -d $RPM_BUILD_ROOT{%{_bindir},%{php_pear_dir}}
install -p ./%{_bindir}/* $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%{php_pear_dir}/.registry/.channel.*/*.reg
%attr(755,root,root) %{_bindir}/pman
%dir %{_phpdocdir}/pman
%dir %{_phpdocdir}/pman/man3
%{_phpdocdir}/pman/man3/*.3*
%changelog
* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 59b8e48
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Mon Mar 26 2012 Elan Ruusamäe <glen@pld-linux.org> ef7bd8e
- updated to: 2012.01.14

* Mon Mar 12 2012 Jan Rękorajski <baggins@pld-linux.org> 2b9eb7b
- rel 4
- man is now mon-db

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> 94d95c4
- silly typo

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> 9e5333f
- use own man dir, man pages conflict with too many system packages

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> 380adc8
- initial package, maybe should package manuals for each extension to subpackages?

